/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./window/window.component";
import * as i2 from "./window/actions/window-close-action.directive";
import * as i3 from "./window/actions/window-minimize-action.directive";
import * as i4 from "./window/actions/window-maximize-action.directive";
import * as i5 from "./window/actions/window-restore-action.directive";
import * as i6 from "./window/window-titlebar.component";
import * as i7 from "./window/window-container.directive";
import * as i8 from "./dialog/dialog-actions.component";
import * as i9 from "./localization/custom-messages.component";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the Window component. Imports `WindowModule` into the
 * [root module](link:site.data.urls.angular['ngmodules']#angular-modularity)
 * of your application or into any other sub-module that will use the Window component.
 *
 * @example
 * ```ts-no-run
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { WindowModule } from '@progress/kendo-angular-window';
 * import { AppComponent } from './app.component';
 *
 * _@NgModule({
 *     bootstrap:    [AppComponent],
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, WindowModule]
 * })
 * export class AppModule {
 * }
 * ```
 */
export declare class WindowModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<WindowModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<WindowModule, never, [typeof i1.WindowComponent, typeof i2.WindowCloseActionDirective, typeof i3.WindowMinimizeActionDirective, typeof i4.WindowMaximizeActionDirective, typeof i5.WindowRestoreActionDirective, typeof i6.WindowTitleBarComponent, typeof i7.WindowContainerDirective, typeof i8.DialogActionsComponent, typeof i9.CustomMessagesComponent], [typeof i1.WindowComponent, typeof i2.WindowCloseActionDirective, typeof i3.WindowMinimizeActionDirective, typeof i4.WindowMaximizeActionDirective, typeof i5.WindowRestoreActionDirective, typeof i6.WindowTitleBarComponent, typeof i7.WindowContainerDirective, typeof i8.DialogActionsComponent, typeof i9.CustomMessagesComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<WindowModule>;
}
