/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, NgZone, Renderer2 } from "@angular/core";
import { Button } from '@progress/kendo-angular-buttons';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { SVGIcon } from "@progress/kendo-svg-icons";
import { DragResizeService } from './../drag-resize.service';
import * as i0 from "@angular/core";
export declare class WindowMinimizeActionDirective extends Button {
    /**
     * @hidden
     */
    window: any;
    buttonType: string;
    buttonClass: boolean;
    /**
     * @hidden
     */
    windowMinimizeIcon: SVGIcon;
    constructor(el: ElementRef, renderer: Renderer2, _service: DragResizeService, localization: LocalizationService, ngZone: NgZone);
    /**
     * @hidden
     */
    onClick(): void;
    get visible(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<WindowMinimizeActionDirective, [null, null, { optional: true; }, null, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WindowMinimizeActionDirective, "button[kendoWindowMinimizeAction]", ["kendoWindowMinimizeAction"], { "window": { "alias": "window"; "required": false; }; }, {}, never, ["*"], true, never>;
}
